# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:42 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Inner
Summary:	%{pdir}::%{pnam} - A perlish implementation of Java-like inner classes
Summary(pl):	%{pdir}::%{pnam} - perlowa implementacja wewntrznych klas w stylu Javy
Name:		perl-%{pdir}-%{pnam}
Version:	0.1
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of
working dispatch to the parent class's method.

%description -l pl
Jeszcze jedna implementacja anonimowej klasy z metodami przykrywalnymi
dla obiektu, ale z dodanym czym w rodzaju wysyania do metody klasy
nadrzdnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Class-Inner.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/28 10:08:14  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:05  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/23 14:10:09  qboosh
- pl description

Revision 1.1  2002/07/19 09:46:55  radek
- new, works, STBR
